
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.pdb_structure module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.phaser_wrapper module" href="MDSLibraries.phaser_wrapper.html" />
    <link rel="prev" title="MDSLibraries.javascript_code_for_trees module" href="MDSLibraries.javascript_code_for_trees.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phaser_wrapper.html" title="MDSLibraries.phaser_wrapper module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.javascript_code_for_trees.html" title="MDSLibraries.javascript_code_for_trees module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.javascript_code_for_trees.html"
                        title="previous chapter">MDSLibraries.javascript_code_for_trees module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.phaser_wrapper.html"
                        title="next chapter">MDSLibraries.phaser_wrapper module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.pdb_structure.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.pdb_structure">
<span id="mdslibraries-pdb-structure-module"></span><h1>MDSLibraries.pdb_structure module<a class="headerlink" href="#module-MDSLibraries.pdb_structure" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="MDSLibraries.pdb_structure.Atom">
<em class="property">class </em><code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">Atom</code><span class="sig-paren">(</span><em>id=None</em>, <em>coord=None</em>, <em>fullname='C'</em>, <em>altloc=' '</em>, <em>occupancy=1.0</em>, <em>bfactor=25.0</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body">Dr. Massimo Domenico Sammito</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></td>
</tr>
</tbody>
</table>
<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_altloc">
<code class="descname">get_altloc</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_altloc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_altloc" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_bfactor">
<code class="descname">get_bfactor</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_bfactor"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_bfactor" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_coord">
<code class="descname">get_coord</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_coord"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_coord" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_full_id">
<code class="descname">get_full_id</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_full_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_full_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_fullname">
<code class="descname">get_fullname</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_fullname"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_fullname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.get_occupancy">
<code class="descname">get_occupancy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.get_occupancy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.get_occupancy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.Atom.set_coord">
<code class="descname">set_coord</code><span class="sig-paren">(</span><em>coordi</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#Atom.set_coord"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.Atom.set_coord" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.pdb_structure.PDB">
<em class="property">class </em><code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">PDB</code><span class="sig-paren">(</span><em>filepath</em>, <em>chains=[]</em>, <em>fast=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="attribute">
<dt id="MDSLibraries.pdb_structure.PDB.AADICMAP">
<code class="descname">AADICMAP</code><em class="property"> = {'ALA': 'A', 'ARG': 'R', 'ASN': 'N', 'ASP': 'D', 'ASX': 'B', 'CGU': '-', 'CSO': 'C', 'CYS': 'C', 'DAL': 'A', 'FOL': 'X', 'GLN': 'Q', 'GLU': 'E', 'GLX': 'Z', 'GLY': 'G', 'HIS': 'H', 'ILE': 'I', 'KCX': 'K', 'LEU': 'L', 'LLP': 'K', 'LYS': 'K', 'M3L': 'K', 'ME0': 'M', 'MET': 'M', 'MLY': 'K', 'MSE': 'M', 'OCS': 'C', 'PHE': 'F', 'PRO': 'P', 'PTR': 'Y', 'PYL': 'O', 'SAM': 'M', 'SEC': 'U', 'SEP': 'S', 'SER': 'S', 'THR': 'T', 'TPO': 'T', 'TRP': 'W', 'TYR': 'Y', 'TYS': 'Y', 'UNK': '-', 'VAL': 'V', 'XAA': 'X', 'XLE': 'J'}</em><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.AADICMAP" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.pdb_structure.PDB.AALISTOL">
<code class="descname">AALISTOL</code><em class="property"> = ['I', 'K', 'Q', 'J', 'K', 'Z', 'G', 'M', 'W', 'M', 'E', 'C', 'D', 'S', 'M', 'K', 'A', 'P', 'B', 'U', '-', 'N', 'C', 'V', 'T', 'T', 'H', 'X', 'X', '-', 'Y', 'C', 'S', 'F', 'A', 'M', 'K', 'O', 'L', 'R', 'K', 'Y', 'Y']</em><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.AALISTOL" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.pdb_structure.PDB.AAList">
<code class="descname">AAList</code><em class="property"> = ['ILE', 'LLP', 'GLN', 'XLE', 'MLY', 'GLX', 'GLY', 'ME0', 'TRP', 'MSE', 'GLU', 'CYS', 'ASP', 'SER', 'SAM', 'LYS', 'DAL', 'PRO', 'ASX', 'SEC', 'CGU', 'ASN', 'CSO', 'VAL', 'TPO', 'THR', 'HIS', 'FOL', 'XAA', 'UNK', 'PTR', 'OCS', 'SEP', 'PHE', 'ALA', 'MET', 'M3L', 'PYL', 'LEU', 'ARG', 'KCX', 'TYR', 'TYS']</em><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.AAList" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.pdb_structure.PDB.ATOAAAMAP">
<code class="descname">ATOAAAMAP</code><em class="property"> = {'-': 'UNK', 'A': 'ALA', 'B': 'ASX', 'C': 'OCS', 'D': 'ASP', 'E': 'GLU', 'F': 'PHE', 'G': 'GLY', 'H': 'HIS', 'I': 'ILE', 'J': 'XLE', 'K': 'KCX', 'L': 'LEU', 'M': 'MET', 'N': 'ASN', 'O': 'PYL', 'P': 'PRO', 'Q': 'GLN', 'R': 'ARG', 'S': 'SEP', 'T': 'THR', 'U': 'SEC', 'V': 'VAL', 'W': 'TRP', 'X': 'XAA', 'Y': 'TYS', 'Z': 'GLX'}</em><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.ATOAAAMAP" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.pdb_structure.PDB.ID_CHAIN">
<code class="descname">ID_CHAIN</code><em class="property"> = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'Z', 'J', 'K', 'X', 'Y', 'W', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'z', 'j', 'k', 'x', 'y', 'w', '1', '2', '3', '4', '5', '6', '7', '8', '9', '0']</em><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.ID_CHAIN" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.are_chains_interacting">
<code class="descname">are_chains_interacting</code><span class="sig-paren">(</span><em>chains</em>, <em>algorithm='phaser'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.are_chains_interacting"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.are_chains_interacting" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.format_and_remove_redundance">
<code class="descname">format_and_remove_redundance</code><span class="sig-paren">(</span><em>cvs_global</em>, <em>sep_chains</em>, <em>only_reformat=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.format_and_remove_redundance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.format_and_remove_redundance" title="Permalink to this definition">¶</a></dt>
<dd><p>Format CVs and remove redundance for chains with identical values of CVs</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>cvs_global</strong> (<em>list of lists</em>) – list of CVs</li>
<li><strong>sep_chains</strong> (<em>list of tuples</em>) – list of delimiters ids for different chains</li>
<li><strong>only_reformat</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.8)"><em>bool</em></a>) – True if only reformat must be done but not removing, False to allow removing</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first"></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first"></p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Raise:</th><td class="field-body"><p class="first last">ValueError if sep_chains is empty</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_accessible_surface_area">
<code class="descname">get_accessible_surface_area</code><span class="sig-paren">(</span><em>algorithm='phaser'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_accessible_surface_area"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_accessible_surface_area" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_atom">
<code class="descname">get_atom</code><span class="sig-paren">(</span><em>model</em>, <em>chain</em>, <em>residue</em>, <em>atom</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_atom"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_atom" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_backbone">
<code class="descname">get_backbone</code><span class="sig-paren">(</span><em>residue</em>, <em>without_CB=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_backbone"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_backbone" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_cvs">
<code class="descname">get_cvs</code><span class="sig-paren">(</span><em>use_list=[]</em>, <em>ignore_list=[]</em>, <em>length_fragment=3</em>, <em>one_model_per_nmr=False</em>, <em>process_only_chains=[]</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_cvs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_cvs" title="Permalink to this definition">¶</a></dt>
<dd><p>Parse a structure and generate for every consecutive ‘length_fragment’ residues a CV with a window f 1 overlapping residue.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>structure</strong> (<em>Bio.PDB.Structure</em>) – The structure object of the structure</li>
<li><strong>use_list</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)"><em>list</em></a>) – </li>
<li><strong>ignore_list</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)"><em>list</em></a>) – </li>
<li><strong>length_fragment</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.8)"><em>int</em></a>) – Define the peptide length for computing a CV</li>
<li><strong>one_model_per_nmr</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.8)"><em>bool</em></a>) – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name" colspan="2">Return (cvs, separating_chains):</th></tr>
<tr class="field-even field"><td>&#160;</td><td class="field-body"><p class="first">List of CVs and the id separation for each chain</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">(<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)">list</a>,<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)">list</a>)</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_list_of_atoms">
<code class="descname">get_list_of_atoms</code><span class="sig-paren">(</span><em>model=None</em>, <em>type=None</em>, <em>idreslist=None</em>, <em>notidreslist=None</em>, <em>get_coords=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_list_of_atoms"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_list_of_atoms" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_list_of_residues">
<code class="descname">get_list_of_residues</code><span class="sig-paren">(</span><em>model=None</em>, <em>idreslist=None</em>, <em>notidreslist=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_list_of_residues"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_list_of_residues" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_model_from_structure">
<code class="descname">get_model_from_structure</code><span class="sig-paren">(</span><em>modelid</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_model_from_structure"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_model_from_structure" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_pdb_from_list_of_atoms">
<code class="descname">get_pdb_from_list_of_atoms</code><span class="sig-paren">(</span><em>**kw</em><span class="sig-paren">)</span><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_pdb_from_list_of_atoms" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_residue">
<code class="descname">get_residue</code><span class="sig-paren">(</span><em>model</em>, <em>chain</em>, <em>residue</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_residue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_residue" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.get_structure">
<code class="descname">get_structure</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.get_structure"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.get_structure" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.parse_pdb_and_generate_cvs">
<code class="descname">parse_pdb_and_generate_cvs</code><span class="sig-paren">(</span><em>peptide_length=3</em>, <em>one_model_per_nmr=True</em>, <em>only_reformat=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.parse_pdb_and_generate_cvs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.parse_pdb_and_generate_cvs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.rename_hetatm_and_blank_chain">
<code class="descname">rename_hetatm_and_blank_chain</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.rename_hetatm_and_blank_chain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.rename_hetatm_and_blank_chain" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.set_cloud_points">
<code class="descname">set_cloud_points</code><span class="sig-paren">(</span><em>pcl_object</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.set_cloud_points"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.set_cloud_points" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.set_kmeans_reductions_and_pcl_geom_descriptors">
<code class="descname">set_kmeans_reductions_and_pcl_geom_descriptors</code><span class="sig-paren">(</span><em>structure_point_clouds</em>, <em>centers</em>, <em>labels</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.set_kmeans_reductions_and_pcl_geom_descriptors"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.set_kmeans_reductions_and_pcl_geom_descriptors" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.validate_residue">
<code class="descname">validate_residue</code><span class="sig-paren">(</span><em>residue</em>, <em>ca_list</em>, <em>o_list</em>, <em>all_atom_ca</em>, <em>number_of_residues</em>, <em>ignore</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.validate_residue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.validate_residue" title="Permalink to this definition">¶</a></dt>
<dd><p>Validates a residue and update the passed lists. It allows only valid residues according Bioinformatics.AAList with atoms with at least an occupancy of 10%</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>residue</strong> (<em>Bio.PDB.Residue</em>) – Residue object</li>
<li><strong>ca_list</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)"><em>list</em></a><em> [</em><em>0</em><em>] </em><em>pos_X</em><em> [</em><em>1</em><em>] </em><em>pos_Y</em><em> [</em><em>2</em><em>] </em><em>pos_Z</em><em> [</em><em>3</em><em>] </em><em>residue full id</em><em> [</em><em>4</em><em>] </em><em>residue name code in 3 letters</em>) – list of coords and properties for CA atoms</li>
<li><strong>o_list</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.8)"><em>list</em></a><em> [</em><em>0</em><em>] </em><em>pos_X</em><em> [</em><em>1</em><em>] </em><em>pos_Y</em><em> [</em><em>2</em><em>] </em><em>pos_Z</em><em> [</em><em>3</em><em>] </em><em>residue full id</em><em> [</em><em>4</em><em>] </em><em>residue name code in 3 letters</em>) – list of coords and properties for O atoms</li>
<li><strong>all_atom_ca</strong> (<em>list of Bio.PDB.Atom</em>) – array of CA atoms</li>
<li><strong>number_of_residues</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.8)"><em>int</em></a>) – number of residues read</li>
<li><strong>ignore</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#set" title="(in Python v3.8)"><em>set</em></a>) – set of residue full ids to be ignored</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name" colspan="2">Return coord_ca, o_list, all_atom_ca, number_of_residues:</th></tr>
<tr class="field-even field"><td>&#160;</td><td class="field-body"></td>
</tr>
<tr class="field-odd field"><th class="field-name" colspan="2">Rtype (list, list, list, int):</th></tr>
<tr class="field-odd field"><td>&#160;</td><td class="field-body"></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.PDB.write_pdb">
<code class="descname">write_pdb</code><span class="sig-paren">(</span><em>path</em>, <em>remove_unusual_resids=False</em>, <em>remove_icode=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#PDB.write_pdb"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.PDB.write_pdb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.pdb_structure.StructurePointsCloud">
<em class="property">class </em><code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">StructurePointsCloud</code><span class="sig-paren">(</span><em>structure</em>, <em>radius=10.0</em>, <em>center=None</em>, <em>from_structure=None</em>, <em>indexes=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#StructurePointsCloud"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.StructurePointsCloud" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="MDSLibraries.pdb_structure.StructurePointsCloud.compute_PCA">
<code class="descname">compute_PCA</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#StructurePointsCloud.compute_PCA"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.StructurePointsCloud.compute_PCA" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.pdb_structure.StructurePointsCloud.compute_geometry_param">
<code class="descname">compute_geometry_param</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#StructurePointsCloud.compute_geometry_param"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.StructurePointsCloud.compute_geometry_param" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.calculate_moment_of_intertia_tensor">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">calculate_moment_of_intertia_tensor</code><span class="sig-paren">(</span><em>structure</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#calculate_moment_of_intertia_tensor"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.calculate_moment_of_intertia_tensor" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculates the moment of inertia tensor from the molecule.
Returns a numpy matrix.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.calculate_shape_param">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">calculate_shape_param</code><span class="sig-paren">(</span><em>structure</em>, <em>rounding=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#calculate_shape_param"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.calculate_shape_param" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculates the gyration tensor of a structure.
Returns a tuple containing shape parameters:</p>
<blockquote>
<div><p>((a,b,c), rg, A, S)</p>
<p>(a,b,c) - dimensions of the semi-axis of the ellipsoid
rg    - radius of gyration of the structure
A     - sphericity value
S     - anisotropy value</p>
<dl class="docutils">
<dt>References:</dt>
<dd><ol class="first last arabic simple">
<li>Rawat N, Biswas P (2011) Shape, flexibility and packing of proteins and nucleic acids in complexes. Phys Chem Chem Phys 13:9632-9643</li>
<li>Thirumalai D (2004) Asymmetry in the Shapes of Folded and Denatured States of Proteinss - The Journal of Physical Chemistry B</li>
<li>Vondrasek J (2011) Gyration- and Inertia-Tensor-Based Collective Coordinates for Metadynamics. Application on the Conformational Behavior of Polyalanine Peptides and Trp-Cage Folding - The Journal of Physical Chemistry A</li>
</ol>
</dd>
</dl>
</div></blockquote>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.center_of_mass">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">center_of_mass</code><span class="sig-paren">(</span><em>entity</em>, <em>geometric=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#center_of_mass"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.center_of_mass" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns gravitic [default] or geometric center of mass of an Entity.
Geometric assumes all masses are equal (geometric=True)</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.check_continuity">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">check_continuity</code><span class="sig-paren">(</span><em>res1</em>, <em>res2</em>, <em>swap=True</em>, <em>combine_with_seqid=True</em>, <em>seqid_jump=1</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#check_continuity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.check_continuity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.distance_sq">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">distance_sq</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#distance_sq"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.distance_sq" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>X</strong> – </li>
<li><strong>Y</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.extract_single_components_from_solution">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">extract_single_components_from_solution</code><span class="sig-paren">(</span><em>solutionpdb</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#extract_single_components_from_solution"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.extract_single_components_from_solution" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.extract_single_models_from">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">extract_single_models_from</code><span class="sig-paren">(</span><em>ensemble</em>, <em>newdir</em>, <em>rename_with_original_pdb_name=False</em>, <em>rename_with_original_pdb_name_and_num=''</em>, <em>sample=-1</em>, <em>recover_original_sequence=False</em>, <em>original_models=None</em>, <em>modifications=None</em>, <em>logger=None</em>, <em>add_remarks=None</em>, <em>get_tuple_with_model_id=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#extract_single_models_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.extract_single_models_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.extract_subgroup_from">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">extract_subgroup_from</code><span class="sig-paren">(</span><em>ensemble</em>, <em>modelids</em>, <em>newpath</em>, <em>modelid_from</em>, <em>recover_original_sequence=False</em>, <em>original_models=None</em>, <em>modifications=None</em>, <em>logger=None</em>, <em>add_remarks=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#extract_subgroup_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.extract_subgroup_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.fit">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">fit</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#fit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.fit" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>X</strong> – </li>
<li><strong>Y</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.fit_wellordered">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">fit_wellordered</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em>, <em>n_iter=None</em>, <em>n_stdv=2</em>, <em>tol_rmsd=0.5</em>, <em>tol_stdv=0.05</em>, <em>full_output=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#fit_wellordered"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.fit_wellordered" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>X</strong> – </li>
<li><strong>Y</strong> – </li>
<li><strong>n_iter</strong> – </li>
<li><strong>n_stdv</strong> – </li>
<li><strong>tol_rmsd</strong> – </li>
<li><strong>tol_stdv</strong> – </li>
<li><strong>full_output</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.galign">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">galign</code><span class="sig-paren">(</span><em>s1</em>, <em>s2</em>, <em>gap_open=-10</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#galign"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.galign" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.generate_single_ensemble_model_from_superposed_pdbs">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">generate_single_ensemble_model_from_superposed_pdbs</code><span class="sig-paren">(</span><em>directory</em>, <em>path_file</em>, <em>get_atoms_from_pdbs_list=[]</em>, <em>use_remarks={}</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#generate_single_ensemble_model_from_superposed_pdbs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.generate_single_ensemble_model_from_superposed_pdbs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_CA_distance_dictionary">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_CA_distance_dictionary</code><span class="sig-paren">(</span><em>pdb_model1</em>, <em>pdb_model2</em>, <em>max_rmsd=0.5</em>, <em>last_rmsd=1.0</em>, <em>recompute_rmsd=True</em>, <em>cycles=3</em>, <em>cycle=1</em>, <em>before_apply=None</em>, <em>get_superposed_atoms=False</em>, <em>force_reference_residues=False</em>, <em>data_tuple=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_CA_distance_dictionary"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_CA_distance_dictionary" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_TM_SCORE">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_TM_SCORE</code><span class="sig-paren">(</span><em>size</em>, <em>hashes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_TM_SCORE"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_TM_SCORE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_atom_line">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_atom_line</code><span class="sig-paren">(</span><em>atom</em>, <em>element</em>, <em>hetfield</em>, <em>segid</em>, <em>atom_number</em>, <em>resname</em>, <em>resseq</em>, <em>icode</em>, <em>chain_id</em>, <em>normalize=False</em>, <em>bfactorNor=25.0</em>, <em>charge=' '</em>, <em>applyRt=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_atom_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_atom_line" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_atoms_distance">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_atoms_distance</code><span class="sig-paren">(</span><em>in_a</em>, <em>in_b</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_atoms_distance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_atoms_distance" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the euclidean distance between the two 3d coordinates
:param in_a: 3d coord a
:type in_a: numpy.array
:param in_b: 3d coord b
:type in_b: numpy.array
:return d,D: distance and vector distance
:rtype d,D: (float,numpy.array)</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_contigous_spans">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_contigous_spans</code><span class="sig-paren">(</span><em>list_residues</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_contigous_spans"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_contigous_spans" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_distance">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_distance</code><span class="sig-paren">(</span><em>res1</em>, <em>res2</em>, <em>swap=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_distance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_distance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_helix_line">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_helix_line</code><span class="sig-paren">(</span><em>idnumber</em>, <em>idname</em>, <em>restartname</em>, <em>chainstart</em>, <em>restartnumber</em>, <em>resicodestart</em>, <em>resendname</em>, <em>chainend</em>, <em>resendnumber</em>, <em>resicodeend</em>, <em>typehelix</em>, <em>comment</em>, <em>lenhelix</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_helix_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_helix_line" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_pseudo_rmsd">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_pseudo_rmsd</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_pseudo_rmsd"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_pseudo_rmsd" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_quaternion_superposition">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_quaternion_superposition</code><span class="sig-paren">(</span><em>list_atom_ref</em>, <em>list_atom_targ</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_quaternion_superposition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_quaternion_superposition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_rmsd_and_RT">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_rmsd_and_RT</code><span class="sig-paren">(</span><em>ca_list1</em>, <em>ca_list2</em>, <em>transform=False</em>, <em>n_iter=5</em>, <em>full_ca=[]</em>, <em>get_full_list_rmsd=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_rmsd_and_RT"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_rmsd_and_RT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_rmsd_and_RT_from_coords">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_rmsd_and_RT_from_coords</code><span class="sig-paren">(</span><em>atom_list_a</em>, <em>atom_list_b</em>, <em>transform=False</em>, <em>n_iter=5</em>, <em>full_ca=[]</em>, <em>get_full_list_rmsd=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_rmsd_and_RT_from_coords"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_rmsd_and_RT_from_coords" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>ca_list1</strong> – </li>
<li><strong>ca_list2</strong> – </li>
<li><strong>full_ca</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first"></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_rmsd_from_distance_hash">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_rmsd_from_distance_hash</code><span class="sig-paren">(</span><em>distance_hash</em>, <em>squared_distances=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_rmsd_from_distance_hash"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_rmsd_from_distance_hash" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body">Dr. Massimo Domenico Sammito</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>distance_hash</strong> – </td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">rmsd</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.8)">float</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_sheet_line">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_sheet_line</code><span class="sig-paren">(</span><em>idnumber</em>, <em>idnamesheet</em>, <em>nofstrandsinsheet</em>, <em>restartname</em>, <em>chainstart</em>, <em>restartnumber</em>, <em>resicodestart</em>, <em>resendname</em>, <em>chainend</em>, <em>resendnumber</em>, <em>resicodeend</em>, <em>sense</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_sheet_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_sheet_line" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_special_position_atom_lines">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_special_position_atom_lines</code><span class="sig-paren">(</span><em>list_of_coords</em>, <em>RTapply=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_special_position_atom_lines"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_special_position_atom_lines" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_specific_remarks_as_string">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_specific_remarks_as_string</code><span class="sig-paren">(</span><em>pdbf</em>, <em>remark</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_specific_remarks_as_string"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_specific_remarks_as_string" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_voyager_remarks_as_dict">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_voyager_remarks_as_dict</code><span class="sig-paren">(</span><em>pdbf</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_voyager_remarks_as_dict"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_voyager_remarks_as_dict" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.get_voyager_remarks_as_string">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">get_voyager_remarks_as_string</code><span class="sig-paren">(</span><em>pdbf</em>, <em>include_phaser_remarks=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#get_voyager_remarks_as_string"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.get_voyager_remarks_as_string" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.iterative_core_optimization_based_on_distance">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">iterative_core_optimization_based_on_distance</code><span class="sig-paren">(</span><em>atoms_ref</em>, <em>atoms_targ</em>, <em>max_rmsd=1.0</em>, <em>last_rmsd=1.5</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#iterative_core_optimization_based_on_distance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.iterative_core_optimization_based_on_distance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.recover_original_numbering_and_names">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">recover_original_numbering_and_names</code><span class="sig-paren">(</span><em>pdblist</em>, <em>nosculpted</em>, <em>modifications</em>, <em>recover_deletions=False</em>, <em>recover_numbering=False</em>, <em>recover_sequence=True</em>, <em>logger=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#recover_original_numbering_and_names"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.recover_original_numbering_and_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.recover_original_numbering_and_names_old">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">recover_original_numbering_and_names_old</code><span class="sig-paren">(</span><em>pdblist</em>, <em>nosculpted</em>, <em>modifications</em>, <em>recover_deletions=False</em>, <em>recover_numbering=False</em>, <em>recover_sequence=True</em>, <em>logger=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#recover_original_numbering_and_names_old"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.recover_original_numbering_and_names_old" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.search_best_core_and_find_rmsd">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">search_best_core_and_find_rmsd</code><span class="sig-paren">(</span><em>list1</em>, <em>list2</em>, <em>max_rmsd=1.0</em>, <em>return_hashtable=False</em>, <em>allVSall=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#search_best_core_and_find_rmsd"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.search_best_core_and_find_rmsd" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.superpose_with_alignment">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">superpose_with_alignment</code><span class="sig-paren">(</span><em>reference</em>, <em>target</em>, <em>target_rmsd=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#superpose_with_alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.superpose_with_alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.transform">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">transform</code><span class="sig-paren">(</span><em>Y</em>, <em>R</em>, <em>t</em>, <em>s=None</em>, <em>invert=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.transform" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>Y</strong> – </li>
<li><strong>R</strong> – </li>
<li><strong>t</strong> – </li>
<li><strong>s</strong> – </li>
<li><strong>invert</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.transform_atoms">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">transform_atoms</code><span class="sig-paren">(</span><em>atoms</em>, <em>R</em>, <em>t</em>, <em>s=None</em>, <em>invert=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#transform_atoms"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.transform_atoms" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>atoms</strong> – </li>
<li><strong>R</strong> – </li>
<li><strong>t</strong> – </li>
<li><strong>s</strong> – </li>
<li><strong>invert</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.wfit">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">wfit</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em>, <em>w</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#wfit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.wfit" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.pdb_structure.xfit">
<code class="descclassname">MDSLibraries.pdb_structure.</code><code class="descname">xfit</code><span class="sig-paren">(</span><em>X</em>, <em>Y</em>, <em>n_iter=10</em>, <em>seed=False</em>, <em>full_output=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/pdb_structure.html#xfit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.pdb_structure.xfit" title="Permalink to this definition">¶</a></dt>
<dd><p>Maximum likelihood superposition of two coordinate arrays. Works similar
to U{Theseus&lt;<a class="reference external" href="http://theseus3d.org">http://theseus3d.org</a>&gt;} and to L{bfit}.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Author:</th><td class="field-body"><p class="first">Dr. Massimo Domenico Sammito</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Email:</th><td class="field-body"><p class="first"><a class="reference external" href="mailto:msacri&#37;&#52;&#48;ibmb&#46;csic&#46;es">msacri<span>&#64;</span>ibmb<span>&#46;</span>csic<span>&#46;</span>es</a> / <a class="reference external" href="mailto:massimo&#46;sammito&#37;&#52;&#48;gmail&#46;com">massimo<span>&#46;</span>sammito<span>&#64;</span>gmail<span>&#46;</span>com</a></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>X</strong> – </li>
<li><strong>Y</strong> – </li>
<li><strong>n_iter</strong> – </li>
<li><strong>seed</strong> – </li>
<li><strong>full_output</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phaser_wrapper.html" title="MDSLibraries.phaser_wrapper module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.javascript_code_for_trees.html" title="MDSLibraries.javascript_code_for_trees module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>